Package org.apache.synapse.transport.netty.sender

# Class Axis2HttpSSLTransportSender

java.lang.Object
org.apache.axis2.handlers.AbstractHandler
org.apache.synapse.transport.netty.sender.Axis2HttpTransportSender
org.apache.synapse.transport.netty.sender.Axis2HttpSSLTransportSender

All Implemented Interfaces:
  `org.apache.axis2.engine.Handler`, `org.apache.axis2.transport.TransportSender`

public class Axis2HttpSSLTransportSender extends Axis2HttpTransportSender
`Axis2HttpSSLTransportSender` is the sender class of the HTTP Transport, and it sends out HTTPS outbound requests.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.axis2.engine.Handler

  `org.apache.axis2.engine.Handler.InvocationResponse`

- ## Field Summary

  ### Fields inherited from class org.apache.synapse.transport.netty.sender.Axis2HttpTransportSender

  `targetConfiguration`

  ### Fields inherited from class org.apache.axis2.handlers.AbstractHandler

  `handlerDesc`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Axis2HttpSSLTransportSender()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `init(org.apache.axis2.context.ConfigurationContext configurationContext, org.apache.axis2.description.TransportOutDescription transportOutDescription)`

  ### Methods inherited from class org.apache.synapse.transport.netty.sender.Axis2HttpTransportSender

  `cleanup, handleException, handleException, invoke, stop`

  ### Methods inherited from class org.apache.axis2.handlers.AbstractHandler

  `cleanup, flowComplete, getHandlerDesc, getName, getParameter, init, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.axis2.engine.Handler

  `cleanup, flowComplete, getHandlerDesc, getName, getParameter, init`

  ### Methods inherited from interface org.apache.axis2.transport.TransportSender

  `onAppError`

- ## Constructor Details

  - ### Axis2HttpSSLTransportSender

    public Axis2HttpSSLTransportSender()

- ## Method Details

  - ### init

    public void init(org.apache.axis2.context.ConfigurationContext configurationContext, org.apache.axis2.description.TransportOutDescription transportOutDescription) throws org.apache.axis2.AxisFault
    Specified by:
      `init` in interface `org.apache.axis2.transport.TransportSender`
    Overrides:
      `init` in class `Axis2HttpTransportSender`
    Throws:
      `org.apache.axis2.AxisFault`